package top.imwork.commons.core.service;

/**
 * Copyright (C), 2015-2023
 * FileName: IBaseEnumService
 * Author<作者姓名>:   stars
 * CreateTime<创建时间>:   2023/2/14 23:05
 * UpdateTime<修改时间>:   2023/2/14 23:05
 * Description〈功能简述〉: 基础枚举信息接口
 * History<历史描述>:
 * Since<版本号>: 1.0.0
 */
public interface IBaseEnumService {
    /**
     * 获取状态码
     *
     * @return code
     */
    default int getCode() {
        return 0;
    }

    /**
     * 获取英文提示信息
     *
     * @return eMsg
     */
    default String getEmsg() {
        return "Failed to catch exception information!";
    }

    /**
     * 获取中文提示信息
     *
     * @return zMsg
     */
    default String getZmsg() {
        return "未能捕获异常信息!";
    }
}